---
title: linux软件的安装
tags: linux
categories: linux
date: 2022-03-25 10:58:34
---

# 查询已经安装的软件
## 软件的查询
```shell
rpm -qa | grep 软件名
```
## 软件包的版本查询
```shell
rpm -qi 软件名
```
软件包的常用信息
```
Name: bzip2
Version: 1.0.6
Release : 0.17.20131004.git.e17
Install DateL Thu 17 Mar 2022 08:39:28
Size: 83791
URL: http://www.bzip.org # 软件包来源

```

## 软件包的安装位置
```
rmp -ql 软件名
```
```shell
/etc                 -- 配置文件
/usr/bin/            -- 启动文件
/usr/share/man/      -- 用户手册
/var/lib/mysql       -- 数据库文件
/var/log/            -- 日志目录
/var/run/            -- 进程号文件
```

# 查询未安装的包的详细信息
```
rpm -qpi 软件报名
rpm -qpl
```

# 软件的卸载
```
rpm -e 软件名
rpm -ev 软件名 显示卸载信息并卸载
rpm -evh 软件名，显示卸载信息和进度
```

# 软件的安装
```
rmp -i 软件包名
rmp -i 软件包名 --nodeps   # 忽略依赖关系安装
```

# 光驱的挂载与卸载
```
/dev  光驱的目录
mount /dev/sr0 /mnt -- 挂载光驱
df -- 查询挂载
umount /dev/sr0 -- 卸载光盘

```